package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.PatentCost;

public interface PatentCostMapper {
    int deleteByPrimaryKey(String id);

    int insert(PatentCost record);

    int insertSelective(PatentCost record);

    PatentCost selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PatentCost record);

    int updateByPrimaryKey(PatentCost record);

	void batchInsert(List<PatentCost> pc);

	int batchUpdateByPrimaryKey(List<PatentCost> list);
}